Start live session
curl --request POST \
--url https://api-prod.nomadicml.com/api/live/start-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'source_url=<string>' \
--data 'name=<string>' \
--data 'stream_id=<string>' \
--data 'rapid_review_query=<string>'import requests
url = "https://api-prod.nomadicml.com/api/live/start-session"
payload = {
"source_url": "<string>",
"name": "<string>",
"stream_id": "<string>",
"rapid_review_query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
source_url: '<string>',
name: '<string>',
stream_id: '<string>',
rapid_review_query: '<string>'
})
};
fetch('https://api-prod.nomadicml.com/api/live/start-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"stream_id": "<string>",
"status": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}Livestreams
Start live session
Start a live-stream ingestion and optional rapid-review analysis session.
POST
/
api
/
live
/
start-session
Start live session
Authorizations
bearerAuthapiKeyAuth
Use Authorization: Bearer <NOMADIC_API_KEY>.
Body
application/x-www-form-urlencoded
Was this page helpful?
⌘I